#include <stdio.h>
#include "TaskManager.h"
#include "Func.h"

void
show_time()
{
    /*
    HTaskPtr show;
    HTaskPtr pre_show;
    */
    /*
    show = manager->create_task(ShowTime);
    show->set_cpu(SPE_0);
    show->spawn();
    printf("testですよ\n");
    */

    /*
    pre_show = manager->create_task(ShowTime);
    pre_show->set_cpu((CPU_TYPE)((int)SPE_0));    
    pre_show->spawn();

    for (int i = 1; i < 6; i++) {        
	show = manager->create_task(ShowTime);
	show->set_cpu((CPU_TYPE)((int)SPE_0 + i));
	show->wait_for(pre_show);
	show->spawn();
	pre_show = show;
    }
    */
}
